%define major     3
%define libname   %mklibname projectm %{major}
%define develname %mklibname projectm -d

Name:           libprojectm
Epoch:          1
Version:        3.1.12
Release:        %mkrel 2
Summary:        Visualization library for OpenGL based on Milkdrop
License:        LGPLv2+
Group:          System/Libraries
Url:            https://github.com/projectM-visualizer/projectm
Source0:        https://github.com/projectM-visualizer/projectm/releases/download/v%{version}/projectm-%{version}.tar.gz
Patch0:		projectm-3.1.8-pthread.patch
BuildRequires:  libgomp-devel
BuildRequires:  pkgconfig(ftgl)
BuildRequires:  pkgconfig(glesv2)
BuildRequires:  pkgconfig(glew)
BuildRequires:  pkgconfig(glm)
BuildRequires:  pkgconfig(jack)
BuildRequires:  pkgconfig(libpulse)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5OpenGL)
BuildRequires:  pkgconfig(Qt5PrintSupport)
BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  pkgconfig(Qt5QuickTest)
BuildRequires:  pkgconfig(Qt5Sql)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5X11Extras)

%description
projectM is a reimplementation of Milkdrop under OpenGL.

%package -n     %{libname}
Summary:        Visualization library for OpenGL based on Milkdrop
Group:          System/Libraries
Requires:       %{name}-data >= %{epoch}:%{version}

%description -n %{libname}
projectM is a reimplementation of Milkdrop under OpenGL.


%package        data
Summary:        Visualization library for OpenGL based on Milkdrop
Group:          Graphics/3D
Requires:       fonts-ttf-bitstream-vera

%description data
projectM is a reimplementation of Milkdrop under OpenGL. This contains data
files and presets.

%package -n     %{develname}
Summary:        Visualization library for OpenGL based on Milkdrop
Group:          Development/C
Requires:       %{libname} = %{epoch}:%{version}
Provides:       %{name}-devel = %{epoch}:%{version}-%{release}
Provides:       projectm-devel = %{epoch}:%{version}-%{release}

%description -n %{develname}
projectM is a reimplementation of Milkdrop under OpenGL.


%prep
%setup -q -n projectM-%{version}
%autopatch -p1

%build
autoreconf -fi
%configure \
        --disable-silent-rules \
        --disable-static \
        --disable-rpath \
        --enable-qt \
        --enable-sdl \
        --enable-gles

%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name '*.la' -delete

#replace by symlink
ln -sf %{_datadir}/fonts/TTF/{Vera.ttf,VeraMono.ttf} %{buildroot}%{_datadir}/projectM/fonts/

%files data
%doc AUTHORS.txt README.md
%{_bindir}/projectM-jack
%{_bindir}/projectM-pulseaudio
%{_bindir}/projectMSDL
%{_bindir}/projectM-unittest
%{_datadir}/projectM/
%{_datadir}/applications/projectM-jack.desktop
%{_datadir}/applications/projectM-pulseaudio.desktop
%{_iconsdir}/hicolor/scalable/apps/projectM.svg
%{_mandir}/man1/projectM-jack.1.*
%{_mandir}/man1/projectM-pulseaudio.1.*

%files -n %{libname}
%{_libdir}/libprojectM.so.%{major}{,.*}

%files -n %{develname}
%{_libdir}/pkgconfig/*.pc
%{_includedir}/libprojectM
%{_libdir}/libprojectM.so


%changelog
* Fri Oct 21 2022 ns80 <ns80> 1:3.1.12-2.mga9
+ Revision: 1898229
- try to fix the build
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Tue Aug 03 2021 luigiwalser <luigiwalser> 1:3.1.12-1.mga9
+ Revision: 1738689
- 3.1.12

* Thu Dec 17 2020 umeabot <umeabot> 1:3.1.8-2.mga8
+ Revision: 1658874
- Rebuild for new Qt5

* Wed Dec 02 2020 luigiwalser <luigiwalser> 1:3.1.8-1.mga8
+ Revision: 1651870
- call autoreconf to generate configure script
- 3.1.8
- remove patch

* Thu Sep 24 2020 daviddavid <daviddavid> 1:3.1.7-1.mga8
+ Revision: 1629695
- new version: 3.1.7

* Mon Apr 27 2020 daviddavid <daviddavid> 1:3.1.3-1.mga8
+ Revision: 1572532
- new version: 3.1.3
- now libmajor is 3
- remove merged upstream patch
- enable jack support

* Sat Feb 15 2020 umeabot <umeabot> 1:3.1.0-4.mga8
+ Revision: 1524754
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Mar 31 2019 umeabot <umeabot> 1:3.1.0-3.mga7
+ Revision: 1383138
- Qt5 Rebuild

* Tue Feb 05 2019 daviddavid <daviddavid> 1:3.1.0-2.mga7
+ Revision: 1363352
- merge needed clementine patches

* Sun Dec 30 2018 daviddavid <daviddavid> 1:3.1.0-1.mga7
+ Revision: 1347098
- new version: 3.1.0
- update URL and Source URL
- enable Qt5, SDL2 and OpenGles support

* Sun Sep 23 2018 umeabot <umeabot> 1:2.1.0-13.mga7
+ Revision: 1299100
- Mageia 7 Mass Rebuild

* Wed Jul 18 2018 pterjan <pterjan> 1:2.1.0-12.mga7
+ Revision: 1244164
- Fix build with recent GCC

* Sun Dec 03 2017 daviddavid <daviddavid> 1:2.1.0-11.mga7
+ Revision: 1180771
- rebuild for new glew 2.1.0

* Fri Oct 06 2017 cjw <cjw> 1:2.1.0-10.mga7
+ Revision: 1169380
- patch1: fix build with gcc 7

* Sun Aug 06 2017 cjw <cjw> 1:2.1.0-9.mga7
+ Revision: 1137932
- rebuild for glew 2.0

* Wed Mar 01 2017 ghibo <ghibo> 1:2.1.0-8.mga6
+ Revision: 1088250
- Rebuilt against pulseaudio 10

* Mon Feb 15 2016 umeabot <umeabot> 1:2.1.0-7.mga6
+ Revision: 961171
- Mageia 6 Mass Rebuild

* Mon Aug 24 2015 sander85 <sander85> 1:2.1.0-6.mga6
+ Revision: 869123
- Rebuild for glew 1.13.0

* Wed Jun 24 2015 akien <akien> 1:2.1.0-5.mga6
+ Revision: 842015
- Rebuild for GLEW 1.12

* Wed Oct 15 2014 umeabot <umeabot> 1:2.1.0-4.mga5
+ Revision: 745154
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:2.1.0-3.mga5
+ Revision: 681721
- Mageia 5 Mass Rebuild

* Mon Sep 01 2014 luigiwalser <luigiwalser> 1:2.1.0-2.mga5
+ Revision: 670269
- rebuild for glew

* Wed May 21 2014 luigiwalser <luigiwalser> 1:2.1.0-1.mga5
+ Revision: 624799
- 2.1.0 (sync with omdv)

* Sat Oct 19 2013 umeabot <umeabot> 1:2.0.0-11.mga4
+ Revision: 530448
- Mageia 4 Mass Rebuild

* Wed Jul 24 2013 sander85 <sander85> 1:2.0.0-10.mga4
+ Revision: 457677
- Rebuild for new glew

* Thu Jan 17 2013 malo <malo> 1:2.0.0-9.mga3
+ Revision: 388925
- updated RPM group
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Aug 30 2012 fwang <fwang> 1:2.0.0-7.mga3
+ Revision: 285746
- data package should be noarch

* Thu Aug 30 2012 fwang <fwang> 1:2.0.0-6.mga3
+ Revision: 285694
- rebuild for new glew

* Wed Jul 25 2012 fwang <fwang> 1:2.0.0-5.mga3
+ Revision: 274251
- rebuild for new glew

* Mon Oct 03 2011 fwang <fwang> 1:2.0.0-4.mga2
+ Revision: 151155
- rebuild for new glew

* Wed Jan 26 2011 ahmad <ahmad> 1:2.0.0-3.mga1
+ Revision: 40967
- drop old/unneeded scriptlets
- imported package libprojectm


* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 1:2.0.0-2mdv2011.0
+ Revision: 609774
- rebuild

* Thu Feb 18 2010 Funda Wang <fwang@mandriva.org> 1:2.0.0-1mdv2010.1
+ Revision: 507413
- should be libgomp-devel
- BR gmp-devel for -fopenmp
- New version 2.0.0

* Thu Feb 18 2010 Götz Waschk <waschk@mandriva.org> 1:1.2.0-4mdv2010.1
+ Revision: 507404
- fix build

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Tue Feb 17 2009 Götz Waschk <waschk@mandriva.org> 1:1.2.0-3mdv2009.1
+ Revision: 341702
- symlink duplicated fonts

* Tue Dec 09 2008 Adam Williamson <awilliamson@mandriva.org> 1:1.2.0-2mdv2009.1
+ Revision: 312132
- add ftgl.patch: adjust includes for new libftgl
- rebuild for new ftgl major

* Fri Jul 18 2008 Götz Waschk <waschk@mandriva.org> 1:1.2.0-1mdv2009.0
+ Revision: 238023
- new version
- drop patch
- fix build
- add conflict with old library package

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun May 25 2008 Götz Waschk <waschk@mandriva.org> 1:1.1-1mdv2009.0
+ Revision: 211182
- add epoch
- new version
- rediff patch 0
- drop patches 1,2,3
- new major

* Tue Feb 19 2008 Götz Waschk <waschk@mandriva.org> 1.01-5mdv2008.1
+ Revision: 173068
- add debian fixes for some crashes

* Mon Feb 11 2008 Götz Waschk <waschk@mandriva.org> 1.01-4mdv2008.1
+ Revision: 165343
- rebuild for new libglew

* Sat Jan 05 2008 Götz Waschk <waschk@mandriva.org> 1.01-3mdv2008.1
+ Revision: 145761
- rebuild for new libglew

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Oct 20 2007 Götz Waschk <waschk@mandriva.org> 1.01-2mdv2008.1
+ Revision: 100674
- fix deps

* Sat Oct 20 2007 Götz Waschk <waschk@mandriva.org> 1.01-1mdv2008.1
+ Revision: 100604
- new version
- build with cmake
- update file list
- NO major


* Fri Jan 26 2007 Götz Waschk <waschk@mandriva.org> 0.99-2mdv2007.0
+ Revision: 113965
- bump
- Import libprojectm

* Fri Jan 26 2007 Götz Waschk <waschk@mandriva.org> 0.99-1mdv2007.1
- initial package

